clear all %Limpia la memoria
clc %Limpia la pantalla del matlab
close all %Cierra todos los graficos abiertos
%
A=imread('test1.jpg');
%
% Graficamos la foto
%
image(A)
axis image
%
% Hacemos un grafico sobre otro
%
hold on
%
% Sacamos 20 puntos con el comando ginput(n)
%
n=20; %Numero de puntos
load puntos %leemos los puntos que pusieron los alumnos
%
% Graficamos los puntos sobre la foto
plot(x,y,'ok')
%
%
hold on
%
%Apliquemos minimos cuadrados
%
A=[x.^3 x 1+0*x];
z=A\y;
a=z(1)
b=z(2)
c=z(3)
t=x(1):.01:x(n);
y1=z(1)*t.^3+z(2)*t+z(3);
%
%
plot(t,y1,'LineWidth',2,'Color',[0 0 1])
%
legend('Puntos','Aproximacion')%No es necesario
%
% La opcion 'LineWidth',2 es para que la linea del polinomio se vea mas
% ancha, el ancho por defecto es 0.5.
% 'Color',[0 0 1] es el color azul
hold off
